CurveRangeDialog Class Reference

Curve range dialog. More...

`#include <CurveRangeDialog.h>`

Inheritance diagram for CurveRangeDialog:

## Public Slots

void | accept ()
void | setCurvesToModify (Graph *g, const QList< int > &indexes)
void | setCurveToModify (Graph *g, int curve)

## Public Member Functions

| CurveRangeDialog (QWidget *parent=0, Qt::WFlags fl=0)

## Private Attributes

QCheckBox * | boxApplyToAll
QSpinBox * | boxEnd
QLabel * | boxName
QSpinBox * | boxStart
QPushButton * | buttonCancel
QPushButton * | buttonOK
QList< DataCurve * > | d_curves
Graph * | d_graph

## Detailed Description

Curve range dialog.

## Constructor & Destructor Documentation

CurveRangeDialog::CurveRangeDialog | ( | QWidget * | parent = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

References accept(), boxApplyToAll, boxEnd, boxName, boxStart, buttonCancel, and buttonOK.

## Member Function Documentation

void CurveRangeDialog::accept | ( |  | ) |

slot

References boxApplyToAll, boxEnd, boxStart, Graph::curveCount(), d_curves, d_graph, Graph::dataCurve(), Graph::notifyChanges(), DataCurve::setRowRange(), and Graph::updatePlot().

Referenced by CurveRangeDialog().

void CurveRangeDialog::setCurvesToModify | ( | Graph * | g,
|  | const QList< int > & | indexes
| ) |  |

slot

References boxEnd, boxName, boxStart, Graph::curve(), d_curves, d_graph, DataCurve::endRow(), Table::numRows(), DataCurve::startRow(), and DataCurve::table().

Referenced by CurvesDialog::showCurveRangeDialog().

void CurveRangeDialog::setCurveToModify | ( | Graph * | g,
|  | int | curve
| ) |  |

slot

References boxEnd, boxName, boxStart, Graph::curve(), d_curves, d_graph, Table::numRows(), and Table::table().

Referenced by PlotDialog::editCurveRange(), and ApplicationWindow::showCurveRangeDialog().

## Member Data Documentation

QCheckBox* CurveRangeDialog::boxApplyToAll

private

Referenced by accept(), and CurveRangeDialog().

QSpinBox* CurveRangeDialog::boxEnd

private

Referenced by accept(), CurveRangeDialog(), setCurvesToModify(), and setCurveToModify().

QLabel* CurveRangeDialog::boxName

private

Referenced by CurveRangeDialog(), setCurvesToModify(), and setCurveToModify().

QSpinBox* CurveRangeDialog::boxStart

private

Referenced by accept(), CurveRangeDialog(), setCurvesToModify(), and setCurveToModify().

QPushButton* CurveRangeDialog::buttonCancel

private

Referenced by CurveRangeDialog().

QPushButton* CurveRangeDialog::buttonOK

private

Referenced by CurveRangeDialog().

QList<DataCurve *> CurveRangeDialog::d_curves

private

Referenced by accept(), setCurvesToModify(), and setCurveToModify().

Graph* CurveRangeDialog::d_graph

private

Referenced by accept(), setCurvesToModify(), and setCurveToModify().

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/dialogs/CurveRangeDialog.h
- qtiplot/src/plot2D/dialogs/CurveRangeDialog.cpp